Page MenuHomePhabricator

Add a link to the imported file in the delete and edit summary
Closed, ResolvedPublic1 Story Points

Description

Current
"fileimporter-delete-summary": "This file is now on {{SITENAME}} (moved with FileImporter)."
Desired
"fileimporter-delete-summary": "This file is now on {{SITENAME}} as $file (moved with FileImporter)."

where $file would be a link to the imported file, e.g. [[:c:File:Example.png]] for the WMF cluster.

Note:
Apply the above also for the edit summary, so it's easier to find the file when the original will be deleted


The previous discussion started at T226532#5302656.

Event Timeline

JJMC89 created this task.Jul 5 2019, 7:05 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 5 2019, 7:05 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript
WMDE-Fisch renamed this task from Add a link to the imported file in the delete summary to Add a link to the imported file in the delete and edit summary.Jul 9 2019, 11:42 AM
WMDE-Fisch updated the task description. (Show Details)
WMDE-Fisch set the point value for this task to 1.
WMDE-Fisch moved this task from Backlog to Tickets in sprint on the Move-Files-To-Commons board.
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Spike-2019-07-09 board.

Change 522083 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Add a link to the imported file in the delete/edit summary

https://gerrit.wikimedia.org/r/522083

I noticed that if we would like to use Interwiki links in the summaries instead of plain URLs, and continue to support third-party wikis, we would need to make use of the Interwiki API endpoint on the source wiki. This would allow us to determine which prefix should be used to represent the destination wiki and then use that prefix when building the edit summary. An example where this API endpoint was used is https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FileImporter/+/520197/.

Change 522083 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Add a link to the imported file in the delete/edit summary

https://gerrit.wikimedia.org/r/522083

Change 523617 had a related patch set uploaded (by Awight; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@wmf/1.34.0-wmf.13] Add a link to the imported file in the delete/edit summary

https://gerrit.wikimedia.org/r/523617

Change 523617 abandoned by Awight:
Add a link to the imported file in the delete/edit summary

https://gerrit.wikimedia.org/r/523617

It looks to me as if the message now says "at" instead of "as"?

It looks to me as if the message now says "at" instead of "as"?

Yes, it's at now. I trusted the natural language skills of @Andrew-WMDE there, but @awight should at least approve I guess. And we should definitely reflect that here then. Thanks for pointing it out. - Any thoughts you two?

Oops! That should be, "as".

Change 525290 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@master] Typo in edit summaries

https://gerrit.wikimedia.org/r/525290

Change 525290 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Typo in edit summaries

https://gerrit.wikimedia.org/r/525290

This will be out with next week's train.

thiemowmde closed this task as Resolved.Wed, Sep 25, 12:49 PM